desc_isdbt_delivery.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the ISDB-T terrestrial delivery system. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | isdbt_desc_terrestrial_delivery_system
| Struct containing the ISDB-T terrestrial delivery system. More...

## Functions

int | isdbt_desc_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB-T terrestrial delivery system descriptor.
void | isdbt_desc_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB-T terrestrial delivery system descriptor.
void | isdbt_desc_delivery_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB-T terrestrial delivery system descriptor.

## Variables

const uint32_t | isdbt_interval []
| Converts an ISDB-T Interval code into a string.
const uint32_t | isdbt_mode []
| Converts an ISDB-T mode into a string.

## Detailed Description

Provides the descriptors for the ISDB-T terrestrial delivery system.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - ARIB STD-B10

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_isdbt_delivery.h.

## Variable Documentation

## isdbt_interval

const uint32_t isdbt_interval[]

extern

Converts an ISDB-T Interval code into a string.

Referenced by isdbt_desc_delivery_free().

## isdbt_mode

const uint32_t isdbt_mode[]

extern

Converts an ISDB-T mode into a string.

Referenced by isdbt_desc_delivery_free().